{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function fieldcount\r\n$insert logical\r\n\r\nif .exp_date->invalue < date() then\r\n   .status->value = 'E'\r\nend else\r\n   NumSigsRequired = xlate( 'CONFIG', 'QUOTE_SIGS', 3, 'X' )+0\r\n   Sigs = .signatures->list\r\n   Scnt = fieldcount( Sigs, @fm )\r\n   SigCnt = 0\r\n   for i = 1 to Scnt\r\n      if Sigs<i> <> '' then\r\n         SigCnt += 1\r\n      end\r\n   next i\r\n   if SigCnt = NumSigsRequired then\r\n      .status->value = 'O'\r\n   end else\r\n      .status->value = 'U'\r\n   end\r\nend\r\nRETURN 1"
        }
    }
}